Subject: Re: git-svn on a strangely configured (pathwise) subversion repository

From: AJ Rossini <[email-masked]>
Date: Mon, 12 Feb 2007 19:47:52 +0100

On Monday 12 February 2007 19:32, Eric Wong wrote:
> AJ Rossini <[email-masked]> wrote:
> > Greetings all -
> >
> > (paths and names changed, but basically correct)
> >
> > I'm trying to use git-svn as a svn client on a repository which is not
> > quite configured in a standard way...  i.e.
>
> Perfectly standard on some corporate networks, unfortunately :(
>
> > $ git svn fetch
> > RA layer request failed: PROPFIND request failed on '/path/to': PROPFIND
> > of '/path/to': 403 Forbidden (https://dummy-host-name.com)
> > at /usr/bin/git-svn line 2861
>
> <snip>
>
> > The problem seems to be that the Repository Root directory is not
> > readable, while the URL is (at least for me, using HTTPS).
> >
> > This is using
> > $ git --version
> > git version 1.4.4.4
>
> Known problem.  This is fixed in commit
> 747fa12cef73b6ca04fffaddaad7326cf546cdea
>
> > Here is what I'm considering:
> > #1 - upgrading to the 1.5.0 RC series
>
> Stop after #1 if you want a sure thing the current 1.5.0 RC series
> contains fixes for repositories with only partial read permissions.

Bingo!   Thanks, Eric!  Drop by for a beverage of your choice the next time 
you pass through Basel, Switzerland....

> > #2 - trying Eric Wong's git-svn branch at
> > http://git.bogomips.org/git-svn.git
>
> Read access in your case *should* continue to work here.  More testing
> would be good.  This branch may not work well if your write access is
> not the same as as your read access; which is something I keep
> forgetting to fix...
 
I'll try this in a dummy directory and try to report back in the hopefully 
near future...

best,
-tony

[email-masked]
Muttenz, Switzerland.
"Commit early,commit often, and commit in a repository from which we can 
easily
roll-back your mistakes" (AJR, 4Jan05).